import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconAi as IconAiClass } from "../../../../components/icon/icons/ai.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconAi = (props) => {
  IconAiClass.define();
  const JSXElement = getReactComponent("gds-icon-ai");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconAi.displayName = "IconAi";
export {
  IconAi
};
